# phpDox - Query\QueryType

# Query\QueryType

#### 'Enum' of query types

## Synopsis

class QueryType {

- // constants
- const SELECT = 'select';
- const INSERT = 'insert';
- const INSERT_BATCH = 'insert_batch';
- const UPDATE = 'update';
- const UPDATE_BATCH = 'update_batch';
- const DELETE = 'delete';

}

## Constants

Name | Value
--- | ---
SELECT | 'select'
INSERT | 'insert'
INSERT_BATCH | 'insert_batch'
UPDATE | 'update'
UPDATE_BATCH | 'update_batch'
DELETE | 'delete'